x64 Linux下NetBeans移动设备模拟器启动失败解决方案

原文链接(wordpress.com上的文章,自己翻墙)
在x64版的Linux下用NetBeans作J2ME开发时,无法启动模拟器,提示java.lang.UnsatisfiedLinkError: /home/myuser/WTK2.5.1/bin/sublime.so: /home/myuser/WTK2.5.1/bin/sublime.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
这是由64位JVM引起的,解决方案是安装并使用32位的JVM启动模拟器。
我在Ubuntu平台下,如是操作:
安装32位的JVM

$ sudo apt-get install ia32-sun-java6-bin

修改netbeans_home/mobility8/WTK2.5.2/bin/emulator脚本,使用32位JVM

javapathtowtk=/usr/lib/jvm/ia32-java-6-sun/bin/

现在移动设备模拟器可以工作了。

也許你還會喜歡

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *

Time limit is exhausted. Please reload CAPTCHA.